# addWindow | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function addWindow

- addWindow(
  x: number,
  y: number,
  width: number,
  height: number,
  mergeMaskTop?: boolean,
  mergeMaskLeft?: boolean,
  maskOffsetX?: number,
  maskOffsetY?: number,
  windowVariant?: WindowVariant ,
  ): NineSlice

  #### Parameters

  - x: number
  - y: number
  - width: number
  - height: number
  - `Optional` mergeMaskTop: boolean
  - `Optional` mergeMaskLeft: boolean
  - `Optional` maskOffsetX: number
  - `Optional` maskOffsetY: number
  - `Optional` windowVariant: WindowVariant

  #### Returns NineSlice

  - Defined in src/ui/ui-theme.ts:39